Audit Event List
List audit events for the installation. Audit events track important actions taken by accounts with elevated permissions such as admin accounts and moderators. It also provides error logs for system internal components that could not be responded to the client directly such as background job failures and configuration issues.
List audit events for the installation. Audit events track important actions taken by accounts with elevated permissions such as admin accounts and moderators. It also provides error logs for system internal components that could not be responded to the client directly such as background job failures and configuration issues.
storyden-session<token>page?stringPagination query parameters.
types?array<>Audit event type filter query
range?stringAudit event time range query
iso8601-intervalOK
application/json- response
To be composed with paginated resource responses.
page_size*integerresults*integertotal_pages*integercurrent_page*integernext_page?integerevents*array<|||||||||||>curl -X GET 'https://example.com/api/admin/audit-events'{ "page_size": 0, "results": 0, "total_pages": 0, "current_page": 0, "next_page": 0, "events": [ { "id": "string", "timestamp": "2019-08-24T14:15:22Z", "enacted_by": { "id": "string", "joined": "2019-08-24T14:15:22Z", "suspended": "2019-08-24T14:15:22Z", "handle": "string", "name": "string", "signature": "string", "roles": [ { "badge": true, "default": true, "id": "string", "name": "string", "colour": "string", "meta": {} } ] }, "type": "thread_deleted", "thread_id": "string" } ]}